Bug 123739 - (upstream?) -P (--pipe) no longer works
(upstream?) -P (--pipe) no longer works
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks: 123710
  Show dependency treegraph
 
Reported: 2004-05-20 08:40 EDT by Aldy Hernandez
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-31 08:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aldy Hernandez 2004-05-20 08:40:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Though -P is now the default, it is still listed in the documentation
and the help for spamassassin.  It is, however, not working in any of
it's variations:

[george@coqui george]$ spamassassin -P
Unknown option: P
SpamAssassin version 3.0.0-r10668
Unknown option!

...

[george@coqui george]$ spamassassin --pipe
Unknown option: p
SpamAssassin version 3.0.0-r10668
Unknown option!


Version-Release number of selected component (if applicable):
spamassassin-3.0-0.0.svn20040518

How reproducible:
Always

Steps to Reproduce:
1. spamassassin -P

Additional info:
Comment 1 Warren Togami 2004-05-21 19:42:13 EDT
I believe this is an upstream issue?
Comment 2 Theo Van Dinter 2004-05-21 19:54:55 EDT
yeah, this is outdated documentation ...  we removed the option when parsing parameters, 
but not the POD docs/usage.  I looked around in other files, the only other reference I saw 
was in INSTALL which says that the option was removed.

I removed the pod/usage bits and committed the change.  r20202.
Comment 3 Warren Togami 2004-05-21 20:02:27 EDT
Let me know when is a good time to do another svn snapshot for RH
rawhide.  Otherwise I'll do it once a week.  Last snapshot was May 18th.
Comment 4 Warren Togami 2004-05-25 16:39:04 EDT
Aldy is it satisfactory in spamassassin-3.0-0.0.svn20040524?
Comment 5 Aldy Hernandez 2004-05-25 16:51:53 EDT
Where can I get this 0524 version?  The latest in rawhide-latest/ is 0518.

Note You need to log in before you can comment on or make changes to this bug.